library(gbm)

#Load the training set
train <- read.table(file = "train",header = FALSE, sep="\t")

#Learn the regression model
gbmModel <- gbm(V1~., distribution="bernoulli", data=train, n.trees=100, shrinkage=0.5, interaction.depth=3, bag.fraction = 0.5, train.fraction = 0.8, n.minobsinnode = 10)

#Optional: Will print some statistics about the learned model
best.iter <- gbm.perf(gbmModel,method="test")
#summary(gbmModel,n.trees=best.iter,plotit=F) 
#print(pretty.gbm.tree(gbmModel,1))

save(gbmModel, file='gbmModel')


rm(train)


